#   ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
#   File: perl-TOML.spec
#   Copyright 🄯 2021—2023 Van de Bugger.
#   SPDX-License-Identifier: FSFAP
#   ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――

Source1000:         vdb.lua
%include            %{S:1000}

%global ver         0.97
%global rel         0.vdb.4

Name:               perl-TOML
Version:            %{ver}
Release:            %{rel}%{?dist}
Summary:            Simple TOML parser and writer
License:            GPL-2.0-only
URL:                https://metacpan.org/release/TOML
Source0:            https://cpan.metacpan.org/authors/id/K/KA/KARUPA/TOML-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      perl-generators
BuildRequires:      perl-interpreter
BuildRequires:      perl(TOML::Parser) >= 0.04
BuildRequires:      perl(Module::Build::Tiny) >= 0.035
BuildRequires:      perl(Test::More)

%description
%{text: -- \
    TOML implements a parser for Tom's Obvious, Minimal Language. TOML exports two subroutines,
    from_toml and to_toml.
}

%prep
%setup -q -n TOML-%{version}

%build
unset PERL_MB_OPT       # VdB
unset PERL_MM_OPT       # VdB
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README.md
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon May 08 2023 Van de Bugger - 0.97-0.vdb.4
- SPDX License expression used in License tag.

* Mon Oct 03 2022 Van de Bugger - 0.97-0.vdb.3
- F36, F37 rebuild.

* Thu May  5 2022 Van de Bugger - 0.97-0.vdb.2
- F35 rebuild.

* Tue May 11 2021 Van de Bugger - 0.97-0.vdb.1
- Initial release.
